import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_svg/svg.dart';
import 'package:gap/gap.dart';
import 'package:get/get.dart';
import 'package:traderscircuit/Utils/text.dart';

import '../../../Utils/Common/commonBotton.dart';
import 'ticket_confirmed_bottom_sheet.dart';

class CancelTicketBottomSheet {
  bottomSheet(
    BuildContext context,
  ) {
    return showModalBottomSheet(
      useSafeArea: true,
      isScrollControlled: true,
      context: context,
      backgroundColor: const Color(0xFF101111),
      isDismissible: false,
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.only(
          topLeft: Radius.circular(8.r),
          topRight: Radius.circular(8.r),
        ),
      ),
      builder: (BuildContext context) {
        return Container(
          padding: const EdgeInsets.symmetric(vertical: 8, horizontal: 20),
          child: Wrap(
            children: [
              Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Row(
                    crossAxisAlignment: CrossAxisAlignment.end,
                    mainAxisAlignment: MainAxisAlignment.end,
                    children: [
                      GestureDetector(
                          onTap: () {
                            Get.back();
                          },
                          child: SvgPicture.asset(
                              "assets/images/svg/cross_cancel.svg")),
                    ],
                  ),
                  const Gap(16),
                  Container(
                    margin: const EdgeInsets.symmetric(horizontal: 15),
                    child: Center(
                      child: text18W600(
                          "Are You Sure You want to Close the Ticket?",
                          textAl: TextAlign.center),
                    ),
                  ),
                  const Gap(25),
                  Padding(
                    padding: const EdgeInsets.symmetric(
                        horizontal: 17, vertical: 20),
                    child: Row(
                      children: [
                        Expanded(
                          child: SizedBox(
                            width: 191.w,
                            child: kycBtn(
                              text: "Yes",
                              onTap: () {
                                Get.back();
                              },
                              bgClr: const Color(0xFF6C0000),
                              borderClr: const Color(0xFF9A0000),
                            ),
                          ),
                        ),
                        const Gap(16),
                        Expanded(
                          child: SizedBox(
                            width: 191.w,
                            child: kycBtn(
                              text: "No",
                              onTap: () {
                                Get.back();
                              },
                              bgClr: const Color(0xFF111313),
                              borderClr: const Color(0xFF9A0000),
                            ),
                          ),
                        ),
                      ],
                    ),
                  ),
                  const Gap(25),
                ],
              )
            ],
          ),
        );
      },
    );
  }
}
